SET( OpenCV_INCLUDE_DIR ${OpenCV_DIR} ${OpenCV_DIR}/include ${OpenCV_DIR}/include/opencv )
INCLUDE_DIRECTORIES( ${OpenCV_INCLUDE_DIR} )

SET( OpenCV_LIB_DIR ${OpenCV_DIR}/lib )
LINK_DIRECTORIES( ${OpenCV_LIB_DIR} )

SET( OPENCV_LIB_COMPONENTS cxcore cv highgui cvaux )
SET( OpenCV_LIBRARIES "" )
FOREACH( __CVLIB ${OPENCV_LIB_COMPONENTS} )
	SET( OpenCV_LIBRARIES ${OpenCV_LIBRARIES} ${__CVLIB}${OpenCV_VERSION_MAJOR}${OpenCV_VERSION_MINOR}${OpenCV_VERSION_PATCH} )
ENDFOREACH( __CVLIB )